%define upstream_name    Geo-Ov2
%define upstream_version 0.91

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Library for reading and writing TomTom Navigator .ov2 POI files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz
# TV: fix bogus API call:
Patch0:     Geo-Ov2-fix.diff

BuildRequires: perl(Carp)
BuildRequires: perl(Config::General)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::File)
BuildRequires: perl(Locale::TextDomain)
BuildRequires: perl(POSIX)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Test::More)
BuildRequires: perl(locale)
BuildArch: noarch

%description
Geo::Ov2 is a library for reading and writing TomTom Navigator .ov2 POI files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/getpoi.cron.sh
/usr/bin/getpoi.sh
/usr/bin/ttn2device
/usr/share/man/man1/ttn2device.1.xz



%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.910.0-2.mga3
+ Revision: 367651
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Apr 01 2011 tv <tv> 0.910.0-1.mga1
+ Revision: 79571
- imported package perl-Geo-Ov2

